<?xml version="1.0" encoding="UTF-8"?>
<module name="volume segmentation" class="VolumeSegmentation">
    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNRegularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="NDIMS" value="3"/>
                <param name="DATA_TYPE" value="ByteDataArray"/>
            </acceptor>
            <acceptor>
                <param name="NDIMS" value="3"/>
                <param name="DATA_TYPE" value="ShortDataArray"/>
            </acceptor>
        </input>
    </inputs>

    <outputs>
        <output name="outField" type="org.visnow.vn.lib.types.VNRegularField">
            <schema>
                <param name="NDIMS" value="3"/>
            </schema>
        </output>
    </outputs>
    <parameters>
    </parameters>
    <description value="toolkit for volume segmentation"/>
</module>
